List an automation's triggers
curl --request GET \
--url https://api.ara.so/v3/organizations/{orgId}/automations/{automationId}/triggers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ara.so/v3/organizations/{orgId}/automations/{automationId}/triggers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ara.so/v3/organizations/{orgId}/automations/{automationId}/triggers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"kind": "schedule",
"enabled": true,
"schedule": {
"kind": "cron",
"expression": "<string>",
"every_seconds": 123,
"next_run_at": "2023-11-07T05:31:56Z"
},
"github": {
"event": "<string>",
"action": "<string>",
"repo": "<string>"
},
"webhook": {
"configured": true
},
"run_kind": "<string>",
"last_fired_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "session_not_found"
}List an automation's triggers
Scope:
automations:readGET
/
v3
/
organizations
/
{orgId}
/
automations
/
{automationId}
/
triggers
List an automation's triggers
Authorizations
Your ara_ API key from Settings > Ara API. Keys are capability-scoped: run, plugins:read, secrets:read, secrets:write, sessions:read, knowledge:read, repos:read, repos:write, reviews:read, reviews:write, analytics:read, org:read, org:write, attachments:read, attachments:write, plugins:write, guardrails:read, guardrails:write.
Path Parameters
Organization id or slug. Resolve it with GET /v3/self.
Response
Triggers.
Show child attributes
Show child attributes
⌘I

